package com.andengine.entity.primitive;

import javax.microedition.khronos.opengles.GL10;

import org.anddev.andengine.entity.primitive.BaseRectangle;
import org.anddev.andengine.opengl.util.GLHelper;
import org.anddev.andengine.opengl.vertex.RectangleVertexBuffer;

import com.andengine.entity.shape.BaseEllipse;

public class Ellipse extends BaseEllipse{
	// ===========================================================
	// Constants
	// ===========================================================

	// ===========================================================
	// Fields
	// ===========================================================

	// ===========================================================
	// Constructors
	// ===========================================================

	public Ellipse(final float pX, final float pY, final float pRadius1, final float pRadius2) {
		super(pX, pY, pRadius1, pRadius2);
	}

	public Ellipse(final float pX, final float pY, final float pRadius1, final float pRadius2, final EllipseVertexBuffer pEllipseVertexBuffer) {
		super(pX, pY, pRadius1, pRadius2, pEllipseVertexBuffer);
	}

	// ===========================================================
	// Getter & Setter
	// ===========================================================

	// ===========================================================
	// Methods for/from SuperClass/Interfaces
	// ===========================================================

	@Override
	protected void onInitDraw(final GL10 pGL) {
		super.onInitDraw(pGL);
		GLHelper.disableTextures(pGL);
		GLHelper.disableTexCoordArray(pGL);
	}

	// ===========================================================
	// Methods
	// ===========================================================

	// ===========================================================
	// Inner and Anonymous Classes
	// ===========================================================
}